#ifndef ARXIU_H
#define ARXIU_H

#include "parametres.h"
#include <cstdlib>
#include <stdio.h>
#include <string.h>
#include <iostream>

class Arxiu
{
public:
    Arxiu();

    Parametres carregarVolum();
    void llegirHDR();
    void getTamanyHDR(char*, vec4*);
    char* img2mask(char*);
    vec3 tamanyCub(int,int,int);
    void img2vecstring(char*,char*,char*);
private:
    void swap_long(unsigned char *pntr);
    void swap_short(unsigned char *pntr);
    void ShowHdr(char *fileName,struct dsr *hdr);
};

#endif // ARXIU_H
